Bug 921304 - Review Request: python-pecan - A lean WSGI object-dispatching web framework
Summary: Review Request: python-pecan - A lean WSGI object-dispatching web framework
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 956424
TreeView+ depends on / blocked
 
Reported: 2013-03-14 00:18 UTC by Pádraig Brady
Modified: 2014-01-27 08:23 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-01-27 08:23:03 UTC
kchamart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pádraig Brady 2013-03-14 00:18:33 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan-0.2.1-1.fc18.src.rpm
Description: A WSGI object-dispatching web framework, designed to be lean and fast with few dependencies
Fedora Account System Username: pbrady

Comment 1 Kashyap Chamarthy 2013-03-14 05:36:34 UTC
Initial review from fedora-review tool. More to follow with manaul review details.

kashyap@SRPMS$ cat python-pecan/review.txt 

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/kashyap/rpmbuild/SRPMS
     /python-pecan/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.29 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.29
INFO: Mock Version: 1.1.29
Start: lock buildroot
INFO: installing package(s): /home/kashyap/rpmbuild/SRPMS/python-pecan/results/python-pecan-0.2.1-1.fc18.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-18-x86_64/root/', 'install', '/home/kashyap/rpmbuild/SRPMS/python-pecan/results/python-pecan-0.2.1-1.fc18.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: python-pecan-0.2.1-1.fc18.noarch (/python-pecan-0.2.1-1.fc18.noarch)
           Requires: python-WebTest >= 1.3.1
 You could try using --skip-broken to work around the problem
Error: Package: python-pecan-0.2.1-1.fc18.noarch (/python-pecan-0.2.1-1.fc18.noarch)
           Requires: python-WebOb >= 1.2
Error: Package: python-pecan-0.2.1-1.fc18.noarch (/python-pecan-0.2.1-1.fc18.noarch)
           Requires: python-Mako >= 0.4.0
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: python-pecan-0.2.1-1.fc18.noarch.rpm
python-pecan.noarch: W: no-manual-page-for-binary pecan
python-pecan.noarch: W: no-manual-page-for-binary gunicorn_pecan
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
python-pecan (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-Mako
    python-WebOb
    python-WebTest
    python-argparse
    python-setuptools
    python-simplegeneric



Provides
--------
python-pecan:
    python-pecan



MD5-sum check
-------------
http://pypi.python.org/packages/source/p/pecan/pecan-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1c567c14ae8902dd3c43f9a6ff59c8e519a455b929e9136aa570d78fa780f423
  CHECKSUM(SHA256) upstream package : 1c567c14ae8902dd3c43f9a6ff59c8e519a455b929e9136aa570d78fa780f423


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review --rpm-spec -n python-pecan-0.2.1-1.fc18.src.rpm
kashyap@SRPMS$

Comment 2 Pádraig Brady 2013-03-14 10:28:19 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan-0.2.1-2.fc18.src.rpm
Description: A WSGI object-dispatching web framework, designed to be lean and fast with few dependencies
Fedora Account System Username: pbrady

Comment 3 Kashyap Chamarthy 2013-03-14 10:41:30 UTC
Scratch build success:
---------------------------------
kashyap@SRPMS$ koji build --scratch f19 python-pecan-0.2.1-2.fc18.src.rpm 
Uploading srpm: python-pecan-0.2.1-2.fc18.src.rpm
[====================================] 100% 00:00:05 124.60 KiB  23.53 KiB/sec
Created task: 5120601
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5120601
Watching tasks (this may be safely interrupted)...
5120601 build (f19, python-pecan-0.2.1-2.fc18.src.rpm): open (ppc12.phx2.fedoraproject.org)
  5120604 buildArch (python-pecan-0.2.1-2.fc18.src.rpm, noarch): free
  5120604 buildArch (python-pecan-0.2.1-2.fc18.src.rpm, noarch): free -> open (buildvm-06.phx2.fedoraproject.org)
  5120604 buildArch (python-pecan-0.2.1-2.fc18.src.rpm, noarch): open (buildvm-06.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
5120601 build (f19, python-pecan-0.2.1-2.fc18.src.rpm): open (ppc12.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5120601 build (f19, python-pecan-0.2.1-2.fc18.src.rpm) completed successfully
---------------------------------

Still see install failures from review.txt


But, still there are:

Installation errors
-------------------
.
.
.
INFO: mock.py version 1.1.29 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.29
INFO: Mock Version: 1.1.29
Start: lock buildroot
INFO: installing package(s): /home/kashyap/rpmbuild/SRPMS/python-pecan/results/python-pecan-0.2.1-2.fc18.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-18-x86_64/root/', 'install', '/home/kashyap/rpmbuild/SRPMS/python-pecan/results/python-pecan-0.2.1-2.fc18.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: python-pecan-0.2.1-2.fc18.noarch (/python-pecan-0.2.1-2.fc18.noarch)
           Requires: python-WebTest >= 1.3.1
 You could try using --skip-broken to work around the problem
Error: Package: python-pecan-0.2.1-2.fc18.noarch (/python-pecan-0.2.1-2.fc18.noarch)
           Requires: python-WebOb >= 1.2
Error: Package: python-pecan-0.2.1-2.fc18.noarch (/python-pecan-0.2.1-2.fc18.noarch)
           Requires: python-Mako >= 0.4.0
 You could try running: rpm -Va --nofiles --nodigest
-----------------------------

Comment 4 Pádraig Brady 2013-03-14 11:00:33 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan-0.2.1-3.fc18.src.rpm
Description: A WSGI object-dispatching web framework, designed to be lean and fast with few dependencies
Fedora Account System Username: pbrady

Comment 5 Pádraig Brady 2013-03-14 12:33:08 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/python-pecan-0.2.1-4.fc18.src.rpm
Description: A WSGI object-dispatching web framework, designed to be lean and fast with few dependencies
Fedora Account System Username: pbrady

Comment 6 Kashyap Chamarthy 2013-03-14 14:18:08 UTC
Thanks Pádraig. No installation failures now. Manual review upcoming.

Here's fedora-review output.
=======================================
kashyap@SRPMS$ cat /home/kashyap/rpmbuild/SRPMS/python-pecan/review.txt

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/kashyap/rpmbuild/SRPMS
     /python-pecan/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-pecan-0.2.1-4.fc19.noarch.rpm
python-pecan.noarch: W: no-manual-page-for-binary pecan
python-pecan.noarch: W: no-manual-page-for-binary gunicorn_pecan
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-pecan
python-pecan.noarch: W: no-manual-page-for-binary pecan
python-pecan.noarch: W: no-manual-page-for-binary gunicorn_pecan
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-pecan (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-argparse
    python-mako
    python-setuptools
    python-simplegeneric
    python-webob1.2
    python-webtest



Provides
--------
python-pecan:
    python-pecan



MD5-sum check
-------------
http://pypi.python.org/packages/source/p/pecan/pecan-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1c567c14ae8902dd3c43f9a6ff59c8e519a455b929e9136aa570d78fa780f423
  CHECKSUM(SHA256) upstream package : 1c567c14ae8902dd3c43f9a6ff59c8e519a455b929e9136aa570d78fa780f423


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 --rpm-spec -n python-pecan-0.2.1-4.fc18.src.rpm
kashyap@SRPMS$ 
=======================================

Comment 7 Kashyap Chamarthy 2013-03-14 14:30:51 UTC
Scratch build successful with the latest SRPM from comment #5

-----------------------------
kashyap@SRPMS$ koji build --scratch f19 python-pecan-0.2.1-4.fc18.src.rpm 
Uploading srpm: python-pecan-0.2.1-4.fc18.src.rpm
[====================================] 100% 00:00:19 124.61 KiB   6.41 KiB/sec
Created task: 5121422
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5121422
Watching tasks (this may be safely interrupted)...
5121422 build (f19, python-pecan-0.2.1-4.fc18.src.rpm): free
5121422 build (f19, python-pecan-0.2.1-4.fc18.src.rpm): free -> open (buildvm-22.phx2.fedoraproject.org)
  5121423 buildArch (python-pecan-0.2.1-4.fc18.src.rpm, noarch): open (buildvm-09.phx2.fedoraproject.org)
  5121423 buildArch (python-pecan-0.2.1-4.fc18.src.rpm, noarch): open (buildvm-09.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
5121422 build (f19, python-pecan-0.2.1-4.fc18.src.rpm): open (buildvm-22.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5121422 build (f19, python-pecan-0.2.1-4.fc18.src.rpm) completed successfully
-----------------------------

Comment 8 Kashyap Chamarthy 2013-03-14 15:02:21 UTC
Here goes manual review. I made inline comments where appropriate. Also thanks  to Pádraig for answering some of my questions.



===== Manual review of MUST items =====

Generic:

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

	- BSD

[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.

	- rpm -qlp results/python-pecan-0.2.1-4.fc19.noarch.rpm confirms it 

[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/kashyap/rpmbuild/SRPMS
     /python-pecan/licensecheck.txt


This can be waived.
=============================
kashyap@python-pecan$ cat /home/kashyap/rpmbuild/SRPMS/python-pecan/licensecheck.txt 

MIT/X11 (BSD like)
------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/pecan-0.2.1/pecan/middleware/recursive.py

Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/pecan-0.2.1/setup.py
kashyap@python-pecan$ 
=============================


[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files

	- This is OK. rpmlint doesn't complain about it.

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.

	- We don't rely on Python Eggs, so the above is not applicable. Discussed this with Pádraig.

[ ]: Package meets the Packaging Guidelines::Python


===== Manual review of Should items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

It's a noarch rpm:
=============================
kashyap@python-pecan$ ls results/
available_pkgs  build.log  installed_pkgs  python-pecan-0.2.1-4.fc19.noarch.rpm  python-pecan-0.2.1-4.fc19.src.rpm  root.log  state.log
kashyap@python-pecan$ 
=============================

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.


Summary: Everything looks good to me. 

Package approved.

Comment 9 Pádraig Brady 2013-03-14 15:09:28 UTC
New Package SCM Request
=======================
Package Name: python-pecan
Short Description: A lean WSGI object-dispatching web framework
Owners: pbrady
Branches: f17 f18 f19 el6
InitialCC:

Comment 10 Gwyn Ciesla 2013-03-14 15:51:24 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-03-14 16:27:31 UTC
python-pecan-0.2.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pecan-0.2.1-4.fc18

Comment 12 Fedora Update System 2013-03-24 22:52:49 UTC
python-pecan-0.2.1-4.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.